<?php
/*
	Copyright(c) 2010 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

require_once ('etc/ini.php');

class PcController extends Controller {
    
	var $session = null;

	function PcController()
	{
		$this->__construct();
	}
    function __construct()
    {
    	Controller::__construct();
    	$this->view_path = "pc";
        $this->view = new View($this->view_path);
        
		$session = new Session();
		$session->s_start_pc();
		
		$this->GlobalAssign(&$this->view);
    }
    function GlobalAssign($view) {
    	$view->assign('WWW', WWW);
		$view->assign('WWW_SSL', WWW_SSL);
		$view->assign('SITENAME', SITENAME);
		$view->assign('ADMIN_MAIL', ADMIN_MAIL);
		$view->assign('METAKEY', METAKEY);
		$view->assign('METADESC', METADESC);
		$view->assign('ANALYTICS', ANALYTICS);
		if(isset($_SERVER['HTTPS'])) {
			define("BINGOTOPURL",  WWW_SSL);
			$this->view->assign("BINGOTOPURL",  WWW_SSL);
		} else {
			define("BINGOTOPURL",  WWW);
			$this->view->assign("BINGOTOPURL",  WWW);
		}

    }

}

?>